> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get onboarding details by onboarding tracker ID

GET https://api.letsdeel.com/rest/onboarding/tracker/{tracker_id}

Returns a worker's onboarding status by `tracker_id`.

 **Token scopes**: `contracts:read`, `people:read`

Reference: https://developer.deel.com/api/reference/endpoints/onboarding/get-onboarding-details-by-onboarding-tracker-id-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `tracker_id` (string, required) — The unique identifier of the onboarding tracker.

## Response

### 200

Onboarding overview

- `data` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaData

- `profile` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataProfile, optional, nullable) — Employee profile information
- `stepper` (list of OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataStepperItems, optional) — List of stepper actions taken during the onboarding process
- `summary` (list of OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItems, optional) — Summary of the onboarding process
- `contract` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataContract, optional) — Information about the contract
- `progress` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataProgress, optional) — Progress of the onboarding process
- `checklist` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataChecklist, optional) — List of checklist steps
- `hiring_type` (string, optional) — Hiring type (e.g., contractor)
- `hris_profile` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataHrisProfile, optional) — Employeee HRIS profile information

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataProfile

Employee profile information

- `name` (string, optional) — Name associated with the profile
- `email` (string, optional) — Email of the profile
- `country` (string, optional) — Country code
- `last_login` (string, optional) — Last login timestamp
- `previously_onboarded` (boolean, optional) — Indicates if the contractor has previously onboarded

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataStepperItems

Stepper action information

- `data` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataStepperItemsData, optional)
- `type` (string, optional) — Type of the stepper action
- `completed_at` (string, optional, nullable) — Completion timestamp of the stepper action

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItems

Summary item information

- `data` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItemsData, optional) — Additional data about the summary item
- `name` (string, optional) — Name of the summary item
- `type` (string, optional) — Type of the summary item
- `value` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItemsValue, optional) — Value of the summary item

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataContract

Information about the contract

- `id` (string, optional) — Unique contract ID
- `oid` (string, optional) — Contract OID
- `name` (string, optional) — Contract name
- `status` (string, optional) — Contract status (e.g., in_progress)
- `created_at` (string, optional) — Contract creation timestamp
- `first_sign` (string, optional) — The first sign (either 'client' or 'contractor')
- `completion_date` (string, optional, nullable) — The completion date of the contract, if applicable
- `client_signed_at` (string, optional, nullable) — Timestamp when the client signed the contract
- `employee_agreement` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataContractEmployeeAgreement, optional) — Information about the Employment Agreement
- `first_early_invoice` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataContractFirstEarlyInvoice, optional, nullable) — Applicable only for EOR contracts. First early invoice (EOR funding statement) for the contract, if any
- `contractor_signed_at` (string, optional, nullable) — Timestamp when the contractor signed the contract
- `invited_contractor_email` (string, optional, nullable) — Email of the invited contractor

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataProgress

Progress of the onboarding process

- `status` (string, optional) — Current status of the onboarding process (e.g., ACTIVE)
- `reference_date` (string, optional) — Reference date for the progress
- `subject_to_overdue` (boolean, optional) — Indicates if the onboarding is subject to overdue
- `reference_date_timezone` (string, optional) — Timezone of the reference date
- `is_action_required_from_client` (boolean, optional) — Indicates if action is required from the client

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataChecklist

List of checklist steps

- `steps` (list of OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataChecklistStepsItems, optional) — List of checklist steps

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataHrisProfile

Employeee HRIS profile information

- `oid` (string, optional) — HRIS Profile OID
- `name` (string, optional) — HRIS Profile name
- `email` (string, optional) — Email of the HRIS profile
- `work_email` (string, optional, nullable) — Work email of the HRIS profile

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataStepperItemsData

- `emails` (list of OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataStepperItemsDataEmailsItems, optional) — List of emails sent during the stepper process
- `next_reminder_date` (string, optional, nullable) — Next reminder date, if applicable

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItemsData

Additional data about the summary item

- `country` (string, optional) — Country code for location-related summaries
- `timezone` (string, optional) — Timezone information
- `has_withdraw_methods` (boolean, optional) — Indicates if withdrawal methods exist

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItemsValue

Value of the summary item

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataContractEmployeeAgreement

Information about the Employment Agreement

- `status` (string, optional, nullable) — Status of the Employment Agreement. Can be null if the EA has not yet been generated
- `version_hash` (string, optional, nullable) — Version of the Employment Agreement. Can be null if the EA has not yet been generated

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataContractFirstEarlyInvoice

Applicable only for EOR contracts. First early invoice (EOR funding statement) for the contract, if any

- `id` (string, optional) — Unique invoice ID
- `amount` (string, optional) — Invoice amount
- `status` (enum, optional) — Status of the invoice
  - Allowed values: `OPEN`, `PENDING`, `SKIPPED`, `PREPROCESSING`, `PROCESSING`, `CREDITED`, `PROCESSED`, `PAID`, `FAILED`, `CANCELLED`, `REFUNDED`, `UNPAYABLE`, `AWAITING_PAYMENT`
- `paid_at` (string, optional, nullable) — Timestamp when the invoice was paid, if applicable
- `currency` (string, optional) — Currency code for the invoice amount
- `due_date` (string, optional, nullable) — Due date for the invoice
- `description` (string, optional) — Invoice description

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataChecklistStepsItems

Checklist step information

- `type` (string, optional) — The type of checklist step
- `label` (string, optional) — The label for the checklist step
- `status` (string, optional) — Status of the checklist step
- `completed_at` (string, optional, nullable) — Completion timestamp of the checklist step
- `reject_reason` (string, optional) — Reason for rejecting the checklist step (It may contain HTML elements)

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataStepperItemsDataEmailsItems

- `meta` (OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataStepperItemsDataEmailsItemsMeta, optional) — Email metadata

### OnboardingTrackerTrackerIdGetResponsesContentApplicationJsonSchemaDataStepperItemsDataEmailsItemsMeta

Email metadata

- `type` (string, optional) — Type of email
- `email` (string, optional) — Email address
- `sent_at` (string, optional) — Timestamp when the email was sent

## Examples

**Response**

```json
{
  "data": {
    "profile": {
      "name": "John Doo",
      "email": "test@email.com",
      "country": "CA",
      "last_login": "2021-07-14T22:00:00+00:00",
      "previously_onboarded": true
    },
    "stepper": [
      {
        "data": {
          "emails": [
            {
              "meta": {
                "type": "CONTRACTOR_INVITE_SIGN_UP",
                "email": "test@email.com",
                "sent_at": "2021-07-14T22:00:00+00:00"
              }
            }
          ],
          "next_reminder_date": "2021-07-14T22:00:00+00:00"
        },
        "type": "REMINDER_SENT",
        "completed_at": "2021-07-14T22:00:00+00:00"
      }
    ],
    "summary": [
      {
        "data": {
          "country": "CA",
          "timezone": "Europe/Brussels",
          "has_withdraw_methods": true
        },
        "name": "Contract start date",
        "type": "START_DATE",
        "value": "2021-07-14T22:00:00+00:00"
      }
    ],
    "contract": {
      "id": "PzpYaren",
      "oid": "PzpYaren",
      "name": "Contract Name",
      "status": "in_progress",
      "created_at": "2021-07-14T22:00:00+00:00",
      "first_sign": "client",
      "completion_date": "2021-07-14T22:00:00+00:00",
      "client_signed_at": "2021-07-14T22:00:00+00:00",
      "employee_agreement": {
        "status": "AwaitingEmployeeSignature",
        "version_hash": "cdf4f572eb13a5eaf46d"
      },
      "first_early_invoice": {
        "id": "9r259RyjAnP7GeMpQnjAT",
        "amount": "100.00",
        "status": "PENDING",
        "paid_at": "2026-03-01T00:00:00+00:00",
        "currency": "EUR",
        "due_date": "2026-04-01T00:00:00.000Z",
        "description": "EOR funding statement for February, 2026"
      },
      "contractor_signed_at": "2021-07-14T22:00:00+00:00",
      "invited_contractor_email": "test@email.com"
    },
    "progress": {
      "status": "ACTIVE",
      "reference_date": "2021-07-14T22:00:00+00:00",
      "subject_to_overdue": true,
      "reference_date_timezone": "Europe/Brussels",
      "is_action_required_from_client": true
    },
    "checklist": {
      "steps": [
        {
          "type": "sign_up_to_deel",
          "label": "Create contractor account",
          "status": "done",
          "completed_at": "2021-07-14T22:00:00+00:00",
          "reject_reason": "<p>Please submit the correct document for Form 145</p>"
        }
      ]
    },
    "hiring_type": "contractor",
    "hris_profile": {
      "oid": "150f635e-fae1-4b9d-9f86-768bbbac3698",
      "name": "John Doo",
      "email": "test@email.com",
      "work_email": "test@email.com"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/onboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/onboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/onboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/onboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/onboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/onboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/onboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/onboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```